Bug 24510 - [RFE] up2date should work on a LAN too (without internet access)
[RFE] up2date should work on a LAN too (without internet access)
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-21 12:59 EST by Vidar Langseid
Modified: 2015-01-07 18:42 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-03 20:30:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vidar Langseid 2001-01-21 12:59:02 EST
It would be great if you could install a local up2date server an let all
your computers on the LAN connect to this instead of redhat's.
 - This will make it possible to use up2date on intranets (where
internet is not available.)
 - If you could have a local "up2date server" it should be easy to
update the db on this, making it possible to upgrade custom rpms which is
not included in the redhat distro.

In the file /etc/sysconfig/rhn/up2date I see two directives:
 noSSLServerURL and serverURL

Looks to me that all you have to do is release the server for the public
domain.
Comment 1 Preston Brown 2001-02-08 22:43:15 EST
this behaviour is planned for the future.
Comment 2 Cristian Gafton 2001-02-19 20:34:42 EST
Assigned QA to jturner
Comment 3 Vidar Langseid 2001-06-27 07:20:27 EDT
I wonder if you are still working on this issue. A couple of months after I
submitted this feature request you changed your redhat network policiy.
(Anonymous login is now longer allowed, Only one account per user is free). You 
have a service, Red Hat Network Software Manager, which you now try to make
money out of. And it is ofcourse nothing wrong with trying to make money on a
good service like this. But I wonder if you now have ditched the plan on making
an up2date server available?

up2date has the potensial to evolve into something great. Consider this
scenario:
You are an administrator and have been given the task to install the newest lyx
version on thirty (30) workstations.

This is not a difficult task, but it is time consuming and VERY boring. A true
linux hacker would ofcource made some scripts in order to get rid of the
boredom. 
It would be great if up2date could be a management tool were you could deploy
and upgrade software on all your computers. What about beeing able to do a
kickstart installation from an up2date server ? 

We know that linux is on it's way into schools, universities and public
administration. These institutions don't have thirty workstations like us. They
have hundreds. A powerfull deployment tool would easy and motivate people to try
linux I think.

Bug ID 42654 should also be considered....

Best regards,
Vidar
Comment 4 Tommy McNeely 2002-04-03 20:30:26 EST
oh.. this functionality exists.. it just costs LOTS of money :p

https://rhn.redhat.com/overview_workgroup.pxt

(take  a look at the "proxy" section)


Tommy

Note You need to log in before you can comment on or make changes to this bug.